Page MenuHomePhabricator

fix: make example fix hgrc work in subdirs
AbandonedPublic

Authored by spectral on Dec 12 2019, 5:42 PM.

Details

Reviewers
pulkit
Group Reviewers
hg-reviewers
Summary

Filesets are relative to the current working directory by default, so we use
rootglob: to change this behavior.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

spectral created this revision.Dec 12 2019, 5:42 PM

See D7065 and D7570. I didn't realize you could stack set: and the other patterns like this.

spectral planned changes to this revision.Dec 12 2019, 7:31 PM

See D7065 and D7570. I didn't realize you could stack set: and the other patterns like this.

As far as I know, set: isn't a pattern itself, it's a "hey, everything that comes after this is a fileset, not a glob".

I'm OK waiting for D7570, it's the main reason I split this out from the other two in this stack, but if we want to accept it before D7570 makes it in (unsure if it's currently blocked), I'm also OK with that.

I think that the later commits are still useful, though: I don't think D7570 deals with listfile, and the configuration for clang-format is broken in other ways. I'll reorder them so this is tip instead of root.

contrib/examples/fix.hgrc
1–2

Oops, split failure, this line should remain, I'll send an update.

spectral updated this revision to Diff 18663.Dec 12 2019, 7:38 PM
pulkit accepted this revision.Dec 20 2019, 7:20 AM
This revision is now accepted and ready to land.Dec 20 2019, 7:20 AM

This fails to apply on current tip of default, needs rebase.

This fails to apply on current tip of default, needs rebase.

It seems like D7570 is pretty much ready, so we could drop this patch then. I think the rootglob:s are a slight distraction that we should not have if they're not needed.

durin42 added a subscriber: durin42.Jan 8 2020, 3:02 PM

Now that D7570 is landed, this is obsolete, right?

spectral abandoned this revision.Jan 8 2020, 5:36 PM